Список контрагентов
Контрагенты Vault'а (по createdAt desc, keyset-пагинация) со счётчиками адресов и операций. По умолчанию — только активные.
curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparties?search=example_string&kind=exchange&address=123%20Main%20St&groupId=example_string&archived=true&limit=42&cursor=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparties?search=example_string&kind=exchange&address=123%20Main%20St&groupId=example_string&archived=true&limit=42&cursor=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparties?search=example_string&kind=exchange&address=123%20Main%20St&groupId=example_string&archived=true&limit=42&cursor=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparties?search=example_string&kind=exchange&address=123%20Main%20St&groupId=example_string&archived=true&limit=42&cursor=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparties?search=example_string&kind=exchange&address=123%20Main%20St&groupId=example_string&archived=true&limit=42&cursor=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"items": [
{
"id": "cmr3f41z20001psp7phmyapw3",
"vaultId": "example_string",
"name": "Binance",
"description": "example_string",
"kind": "exchange",
"tagsJson": [
"example_string"
],
"avatarUri": "example_string",
"color": "#000",
"emoji": "🏦",
"archivedAt": "2026-07-02T11:25:15.134Z",
"createdById": "example_string",
"createdAt": "2026-07-02T11:25:15.134Z",
"updatedAt": "2026-07-02T11:25:15.134Z",
"addresses": [
{
"id": "example_string",
"network": "tron",
"address": "TExternalBinanceHot1",
"label": "hot wallet"
}
],
"_count": {
"addresses": 42,
"transactions": 42,
"incomingTransactions": 42
}
}
],
"nextCursor": "example_string"
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
/api/v1/vaults/{code}/counterpartiesTarget server for requests. Edit to use your own host.
better-auth session token. Мобилка/сервисы. Веб использует cookie.
API key (sent in cookie)
Уникальный код Vault'а (slug)
Подстрока в имени
Точный on-chain адрес — найти контрагента-владельца (reverse lookup для UI отправки)
Только участники группы контрагентов («папки» в UI)
true — только архивные (default: только активные)
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. better-auth session token. Мобилка/сервисы. Веб использует cookie.
API Key for authentication. Provide your API key in the cookie.
Path Parameters
Query Parameters
Подстрока в имени
exchangeТочный on-chain адрес — найти контрагента-владельца (reverse lookup для UI отправки)
Только участники группы контрагентов («папки» в UI)